Bug 1271034 - [abrt] gnome-shell: _gdk_window_has_impl(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: _gdk_window_has_impl(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9c0fb6242352d932b6a76065acb...
:
: 1305265 1332886 1339314 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 21:46 EDT by Jeff Raber
Modified: 2016-12-20 09:58 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:58:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.80 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: cgroup (191 bytes, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: core_backtrace (6.12 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: dso_list (24.19 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: environ (1.41 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: maps (139.10 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: mountinfo (4.58 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: open_fds (3.86 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details
File: var_log_messages (407 bytes, text/plain)
2015-10-12 21:46 EDT, Jeff Raber
no flags Details

  None (edit)
Description Jeff Raber 2015-10-12 21:46:40 EDT
Version-Release number of selected component:
gnome-shell-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _gdk_window_has_impl
executable:     /usr/bin/gnome-shell
global_pid:     728
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gdk_window_has_impl at gdkwindow.c:626
 #1 gdk_x11_window_get_xid at gdkwindow-x11.c:5527
 #2 shell_gtk_embed_window_created_cb at shell-gtk-embed.c:67
 #3 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #4 _g_closure_invoke_va at gclosure.c:864
 #7 meta_display_notify_window_created at core/display.c:1704
 #8 _meta_window_shared_new at core/window.c:1217
 #9 meta_window_x11_new at x11/window-x11.c:2991
 #10 handle_other_xevent at x11/events.c:1345
 #11 meta_display_handle_xevent at x11/events.c:1745

Potential duplicate: bug 1242278
Comment 1 Jeff Raber 2015-10-12 21:46:43 EDT
Created attachment 1082180 [details]
File: backtrace
Comment 2 Jeff Raber 2015-10-12 21:46:44 EDT
Created attachment 1082181 [details]
File: cgroup
Comment 3 Jeff Raber 2015-10-12 21:46:45 EDT
Created attachment 1082182 [details]
File: core_backtrace
Comment 4 Jeff Raber 2015-10-12 21:46:47 EDT
Created attachment 1082183 [details]
File: dso_list
Comment 5 Jeff Raber 2015-10-12 21:46:48 EDT
Created attachment 1082184 [details]
File: environ
Comment 6 Jeff Raber 2015-10-12 21:46:49 EDT
Created attachment 1082185 [details]
File: exploitable
Comment 7 Jeff Raber 2015-10-12 21:46:50 EDT
Created attachment 1082186 [details]
File: limits
Comment 8 Jeff Raber 2015-10-12 21:46:51 EDT
Created attachment 1082187 [details]
File: maps
Comment 9 Jeff Raber 2015-10-12 21:46:52 EDT
Created attachment 1082188 [details]
File: mountinfo
Comment 10 Jeff Raber 2015-10-12 21:46:53 EDT
Created attachment 1082189 [details]
File: namespaces
Comment 11 Jeff Raber 2015-10-12 21:46:54 EDT
Created attachment 1082190 [details]
File: open_fds
Comment 12 Jeff Raber 2015-10-12 21:46:55 EDT
Created attachment 1082191 [details]
File: proc_pid_status
Comment 13 Jeff Raber 2015-10-12 21:46:56 EDT
Created attachment 1082192 [details]
File: var_log_messages
Comment 14 xzj8b3 2016-02-06 09:30:47 EST
*** Bug 1305265 has been marked as a duplicate of this bug. ***
Comment 15 Daniel 2016-02-08 08:13:39 EST
Similar problem has been detected:

I had started  two copies of Steam. Force-quit one of them from System Monitor.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: _gdk_window_has_impl
executable:     /usr/bin/gnome-shell
global_pid:     3060
kernel:         4.3.5-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Vitalii Cherniak 2016-05-04 05:52:43 EDT
*** Bug 1332886 has been marked as a duplicate of this bug. ***
Comment 17 leonelfreire 2016-05-24 12:41:02 EDT
*** Bug 1339314 has been marked as a duplicate of this bug. ***
Comment 18 Fedora End Of Life 2016-11-24 07:46:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 09:58:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.